<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.saml.web.internal.portlet.action.EditIdentityProviderConnectionMVCRenderCommand">
  <property name="javax.portlet.name" type="String" value="com_liferay_saml_web_internal_portlet_SamlAdminPortlet"/>
  <property name="mvc.command.name" type="String" value="/admin/edit_identity_provider_connection"/>
  <service>
    <provide interface="com.liferay.portal.kernel.portlet.bridges.mvc.MVCRenderCommand"/>
  </service>
  <reference name="_samlProviderConfigurationHelper" interface="com.liferay.saml.runtime.configuration.SamlProviderConfigurationHelper" field="_samlProviderConfigurationHelper"/>
  <reference name="_samlSpIdpConnectionLocalService" interface="com.liferay.saml.persistence.service.SamlSpIdpConnectionLocalService" field="_samlSpIdpConnectionLocalService"/>
  <reference name="_userFieldExpressionHandlerRegistry" interface="com.liferay.saml.opensaml.integration.field.expression.handler.registry.UserFieldExpressionHandlerRegistry" field="_userFieldExpressionHandlerRegistry"/>
  <reference name="_userFieldExpressionResolverRegistry" interface="com.liferay.saml.opensaml.integration.field.expression.resolver.registry.UserFieldExpressionResolverRegistry" field="_userFieldExpressionResolverRegistry"/>
  <implementation class="com.liferay.saml.web.internal.portlet.action.EditIdentityProviderConnectionMVCRenderCommand"/>
</scr:component>
